% Jrgen Westrum Thorsen
% Eur/tonkm cost calculations
% 15.05.2013
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Collecting Matrices
x = IO_2reg.x;
T = IO_2reg.T;
S = IO_2reg.S;

x1 = x(1:138);
x2 = x(139:276);
T11 = T(1:138,1:138);
T12 = T(1:138,139:276);
T21 = T(139:276,1:138);
T22 = T(139:276,139:276);
Fva1 = T(276+1:276+15,1:138);
Fva2 = T(276+1:276+15,139:276);

A = (T11+T21+T12+T22)/(diag(x1+x2));
S_va = (Fva1+Fva2)/(diag(x1+x2));

A_trans = A(1:138,113); %Maritime Transport requirements vector
S_va_trans = S_va(1:15,113);
% Export to Excel
xlswrite('Cost_tkm_vessels.xlsx',A_trans,'A_trans','D10');
xlswrite('Cost_tkm_vessels.xlsx',S_va_trans,'S_va_trans','D10');